##
##  modclean.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2020 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_modclean_opkg 3.0.0b1
%define       V_modclean_base 3.0.0-beta.1
%define       V_modclean_snap 20200813

#   package information
Name:         modclean
Summary:      Node Module Cleaning Tool
URL:          https://github.com/ModClean/modclean
Vendor:       Kyle Ross
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Filesystem
License:      MIT
Version:      %{V_modclean_opkg}
Release:      20200813

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/modclean/modclean-%{V_modclean_base}-%{V_modclean_snap}.tar.xz
Source1:      modclean.sh
Patch0:       modclean.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    ModClean is a utility that finds and removes unnecessary files
    and folders from your Node.js's node_modules directory based on
    predefined and custom glob patterns. This utility comes with
    both a CLI and a programmatic API to provide customization for
    your environment. ModClean is used and tested in an Enterprise
    environment on a daily basis.

%track
    prog modclean = {
        version   = %{V_modclean_base}
        url       = https://github.com/ModClean/modclean/releases
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -c
    %patch -p0

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/modclean
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE modclean.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/modclean
    cp -rp \
        node_modules/* \
        $RPM_BUILD_ROOT%{l_prefix}/lib/modclean/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

